import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { FinalValueSelectionMode } from "./FinalValueSelectionMode";
import { Brush } from "igniteui-angular-core";
import { Thickness } from "igniteui-angular-core";
import { FinalValueLayerFrame } from "./FinalValueLayerFrame";
import { Type } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { AnnotationLayerView } from "./AnnotationLayerView";
/**
 * @hidden
 */
export declare class FinalValueLayer extends AnnotationLayer {
    static $t: Type;
    protected bj(): Series;
    protected get_eq(): boolean;
    constructor();
    protected cs(): SeriesView;
    qz(a: SeriesView): void;
    protected zw: FinalValueLayerView;
    aak: string;
    zy: Series;
    zx: FinalValueSelectionMode;
    aa4: Brush;
    aa2: Brush;
    z2: number;
    z8: number;
    aa3: Brush;
    get aa6(): Thickness;
    z4: number;
    z6: number;
    z5: number;
    z3: number;
    axisAnnotationFormatLabel: (item: any) => string;
    zz(): boolean;
    z7: number;
    protected yn(a: Series, b: boolean): void;
    protected yp(a: Frame, b: SeriesView): void;
    protected xg(a: Series): boolean;
    qn(): void;
    private aa5;
    private aan;
    private z1;
    private z0;
    protected aao(a: FinalValueLayerFrame, b: boolean): void;
    protected ys(a: Frame, b: SeriesView): void;
    protected ga(): boolean;
    protected q7(a: any, b: string, c: any, d: any): void;
    o5(a: boolean, b: SeriesView): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinalValueLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: FinalValueLayer);
    protected b7: FinalValueLayer;
    au(): void;
    b8(a: Brush): Brush;
    an(a: any): void;
}
